/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react'
import styled from 'styled-components'
import NoContentImage from '../../../img/img-16.png'


export default function NoContent(props) {

    return (
        <DivTextoNoPublications>
            <InnerDiv>
                <ImgDiv>
                    <img alt="" src={NoContentImage} style={{ width: "130px", verticalAlign: "middle", border: "0" }} />
                </ImgDiv>
                <TextDiv>
                    <NoPubSpan>{props.text}</NoPubSpan>
                </TextDiv>
            </InnerDiv>
        </DivTextoNoPublications>
    )
}

const NoPubSpan = styled.span`
    margin-top : 10px;
    font-size : 24px;
    font-family : Roboto;
    font-weight : lighter;
    white-space : break-spaces
`

const InnerDiv = styled.div`
    top : 50%;
    position : relative;
    transform : translateY(-50%);
`

const ImgDiv = styled.div`
    margin-bottom: 25px;
`

const TextDiv = styled.div`
`

export const DivTextoNoPublications = styled.div`
    height : 360px;
    padding-left : 15px;
    padding-right : 15px;
    text-align : center;
`

// {/*const DivConteudoNaoPublicado = styled.div`
//     position : relative;
//     top : 50%;
//     transform : translateY(-50%);
// `*/}
